#include <avr/io.h>

#include "ledmatrix.h"

/*
 * reset all leds
 */
void resetmatrix(uint8_t m) {
	uint8_t j = 0;
	for(j = 0; j < 8; j++) {
		max7219_digit(0, j, 0);
	}
}

/*
 * reset a led matrix
 */
void setmatrix(uint8_t rows[8]) {
	uint8_t j = 0;
	for(j = 0; j < 8; j++) {
		max7219_digit(0, j, rows[j]);
	}
}

/*
 * init max7219 LED matrix
 */
void init() {
	max7219_init();
	max7219_shutdown(0, 1);
	max7219_test(0, 0);
	max7219_decode(0, 0);
	max7219_intensity(0, 2);
	max7219_scanlimit(0, 7);
	resetmatrix(0);
}
